### Virtual Method

# Ide CodeActionProvider query_finish

#### Declaration

    GPtrArray*
    query_finish (
      IdeCodeActionProvider* self,
      GAsyncResult* result,
      GError** error
    )

#### Description

Completes an asynchronous request to ide_code_action_provider_query_async().

Available since: | 42.0

#### Parameters

`result` | `GAsyncResult`
| A `GAsyncResult`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | An array of `None`
| A `GPtrArray` of `IdeCodeAction`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.